Package org.eclipse.gef.editparts

# Interface IScrollableEditPart

All Superinterfaces:
  `EditPart`, `GraphicalEditPart`, `IAdaptable`

public interface IScrollableEditPart extends GraphicalEditPart
Should be implemented by EditParts, to which an `ScrollableSelectionFeedbackEditPolicy` is to be registered, as it grants the edit policy type-safe access to the edit part's `IScrollableFigure`.

Since:
  3.6

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.IScrollableFigure`
`getScrollableFigure()`
Offers type-safe access to the GraphicalEditPart's figure.

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getChildren, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getScrollableFigure

org.eclipse.draw2d.IScrollableFigure getScrollableFigure()
Offers type-safe access to the GraphicalEditPart's figure.

Returns:
  The figure of this edit part, which has to be an IScrollableFigure